/* Copyright (C) 2022 Free Software Foundation

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses>.  */


package org.gprofng.mpmt.welcome;

import org.gprofng.analyzer.AnEnvironment;
import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

public class WelcomePanel extends javax.swing.JPanel {
  private final WelcomeInnerPanel welcomeInnerPanel;

  public WelcomePanel() {
    initComponents();
    setBackground(AnEnvironment.SPLIT_PANE_DIVIDER_BACKGROUND_COLOR);
    setLayout(new GridBagLayout());

    welcomeInnerPanel = new WelcomeInnerPanel();
    welcomeInnerPanel.setMinimumSize(new Dimension(10, 10));
    welcomeInnerPanel.setBackground(AnEnvironment.DEFAULT_PANEL_BACKGROUND);

    GridBagConstraints gridBagConstraints = new GridBagConstraints();
    gridBagConstraints.fill = GridBagConstraints.BOTH;
    gridBagConstraints.weightx = 1.0;
    gridBagConstraints.weighty = 1.0;
    add(welcomeInnerPanel, gridBagConstraints);
  }

  @Override
  public void requestFocus() {
    welcomeInnerPanel.requestFocus();
  }

  protected void doCompute() {
    welcomeInnerPanel.doCompute();
  }

  protected void enableActions(boolean enable) {
    welcomeInnerPanel.enableActions(enable);
  }

  /**
   * This method is called from within the constructor to initialize the form. WARNING: Do NOT
   * modify this code. The content of this method is always regenerated by the Form Editor.
   */
  @SuppressWarnings("unchecked")
  // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
  private void initComponents() {

    setLayout(new java.awt.GridBagLayout());
  } // </editor-fold>//GEN-END:initComponents
  // Variables declaration - do not modify//GEN-BEGIN:variables
  // End of variables declaration//GEN-END:variables
}
